//此乃本模块与后台交互的方法接口部分
var jwAppCommonModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppCommonModel.prototype = BusinessObject;

//角色数据_分页
jwAppCommonModel.prototype.listSysRole = function(){};
//角色所有数据
jwAppCommonModel.prototype.listSysRoleAll = function(){};

//插入角色
jwAppCommonModel.prototype.insertSysRole = function(){};
//修改角色
jwAppCommonModel.prototype.updateSysRole = function(){};
//删除角色
jwAppCommonModel.prototype.deleteSysRole = function(){};

//人员数据_分页
jwAppCommonModel.prototype.listSysUser = function(){};
//人员所有数据
jwAppCommonModel.prototype.listSysUserAll = function(){};

//插入人员
jwAppCommonModel.prototype.insertSysUser = function(){};
//修改人员
jwAppCommonModel.prototype.updateSysUser = function(){};
//删除人员
jwAppCommonModel.prototype.deleteSysUser = function(){};
//人员密码重置
jwAppCommonModel.prototype.resetUserPass = function(){};
//人员密码修改
jwAppCommonModel.prototype.modifyPass = function(){};

//功能数据_分页
jwAppCommonModel.prototype.listSysGroup = function(){};
//功能所有数据
jwAppCommonModel.prototype.listSysGroupAll = function(){};

//插入功能数据
jwAppCommonModel.prototype.insertSysGroup = function(){};
//修改功能数据
jwAppCommonModel.prototype.updateSysGroup = function(){};
//删除功能数据
jwAppCommonModel.prototype.deleteSysGroup = function(){};

//登陆日志_分页
jwAppCommonModel.prototype.listSysLogInfo = function(){};
//出错日志_分页
jwAppCommonModel.prototype.listSysLog4jInfo = function(){};
//业务日志_分页
jwAppCommonModel.prototype.listSysLogBusiness = function(){};

//模块分类数据_分页
jwAppCommonModel.prototype.listSysModuletype = function(){};
//模块分类所有数据
jwAppCommonModel.prototype.listSysModuletypeAll = function(){};
//插入模块分类数据
jwAppCommonModel.prototype.insertSysModuletype = function(){};
//修改模块分类数据
jwAppCommonModel.prototype.updateSysModuletype = function(){};
//删除模块分类数据
jwAppCommonModel.prototype.deleteSysModuletype = function(){};

//模块数据_分页
jwAppCommonModel.prototype.listSysModule = function(){};
//模块所有数据
jwAppCommonModel.prototype.listSysModuleAll = function(){};
//插入模块数据
jwAppCommonModel.prototype.insertSysModule = function(){};
//修改模块数据
jwAppCommonModel.prototype.updateSysModule = function(){};
//删除模块数据
jwAppCommonModel.prototype.deleteSysModule = function(){};

//缓存数据_分页
jwAppCommonModel.prototype.listSysCache = function(){};
//缓存所有数据
jwAppCommonModel.prototype.listSysCacheAll = function(){};

//某一缓存下信息列表数据_分页
jwAppCommonModel.prototype.listSysCacheKey = function(){};
//某一缓存下信息列表所有数据
jwAppCommonModel.prototype.listSysCacheKeyAll = function(){};
//删除某一缓存下信息列表一条数据
jwAppCommonModel.prototype.deleteSysCacheKey = function(){};

//所有在线用户数据
jwAppCommonModel.prototype.listOnlineUser = function(){};
jwAppCommonModel.prototype.deleteOnlineUser = function(){};


//创建一个数据操作对象，然后再后续使用
jwAppCommonModel.jwAppsCommonActAction = new jwAppCommonModel("json").delegate("systemact");
//创建一个数据获取对象，然后再后续使用
jwAppCommonModel.jwAppsCommonDataAction = new jwAppCommonModel("json").delegate("systemdata");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
